Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.reflect
Class ClassInfo.NullClassInfo

    java.lang.Object
      org.codehaus.aspectwerkz.reflect.ClassInfo.NullClassInfo

All Implemented Interfaces:
  ClassInfo, ReflectionInfo

Enclosing interface:
  ClassInfo

    public static class ClassInfo.NullClassInfo

extends Object
implements ClassInfo

Nested Class Summary

Nested classes/interfaces inherited from interface org.codehaus.aspectwerkz.reflect.ClassInfo
`ClassInfo.NullClassInfo`

Constructor Summary
`ClassInfo.NullClassInfo()`

Method Summary
`List` | `getAnnotations()` Returns the annotation infos.
`ClassLoader` | `getClassLoader()` Returns the class loader that loaded this class.
`ClassInfo` | `getComponentType()` Returns the component type if array type else null.
`ConstructorInfo` | `getConstructor(int hash)` Returns a constructor info by its hash.
`ConstructorInfo[]` | `getConstructors()` Returns the constructors info.
`FieldInfo` | `getField(int hash)` Returns a field info by its hash.
`FieldInfo[]` | `getFields()` Returns the fields info.
`ClassInfo[]` | `getInterfaces()` Returns the interfaces.
`MethodInfo` | `getMethod(int hash)` Returns a method info by its hash.
`MethodInfo[]` | `getMethods()` Returns the methods info.
`int` | `getModifiers()` Returns the class modifiers.
`String` | `getName()` Returns the name element.
`String` | `getSignature()` Returns the signature for the element.
`ClassInfo` | `getSuperclass()` Returns the super class, or null (superclass of java.lang.Object)
`boolean` | `hasStaticInitializer()` Checks if the class has a static initalizer.
`boolean` | `isArray()` Is the class an array type.
`boolean` | `isInterface()` Is the class an interface.
`boolean` | `isPrimitive()` Is the class a primitive type.
`StaticInitializationInfo` | `staticInitializer()` Returns the static initializer info of the current underlying class if any.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassInfo.NullClassInfo

    public ClassInfo.NullClassInfo()

Method Detail

### getConstructor

    public ConstructorInfo getConstructor(int hash)

  Description copied from interface: `ClassInfo`
  Returns a constructor info by its hash. Looks up in the hierarchy

  Specified by:
    `getConstructor` in interface `ClassInfo`
  Returns:

### getConstructors

    public ConstructorInfo[] getConstructors()

  Description copied from interface: `ClassInfo`
  Returns the constructors info. Does not looks up in the hierarchy

  Specified by:
    `getConstructors` in interface `ClassInfo`
  Returns:
    the constructors info

### getMethod

    public MethodInfo getMethod(int hash)

  Description copied from interface: `ClassInfo`
  Returns a method info by its hash. Looks up in the hierarchy

  Specified by:
    `getMethod` in interface `ClassInfo`
  Returns:

### getMethods

    public MethodInfo[] getMethods()

  Description copied from interface: `ClassInfo`
  Returns the methods info. Does not looks up in the hierarchy

  Specified by:
    `getMethods` in interface `ClassInfo`
  Returns:
    the methods info

### getField

    public FieldInfo getField(int hash)

  Description copied from interface: `ClassInfo`
  Returns a field info by its hash. Looks up in the hierarchy

  Specified by:
    `getField` in interface `ClassInfo`
  Returns:

### getFields

    public FieldInfo[] getFields()

  Description copied from interface: `ClassInfo`
  Returns the fields info. Does not looks up in the hierarchy

  Specified by:
    `getFields` in interface `ClassInfo`
  Returns:
    the fields info

### hasStaticInitializer

    public boolean hasStaticInitializer()

  Description copied from interface: `ClassInfo`
  Checks if the class has a static initalizer.

  Specified by:
    `hasStaticInitializer` in interface `ClassInfo`
  Returns:

### staticInitializer

    public StaticInitializationInfo staticInitializer()

  Description copied from interface: `ClassInfo`
  Returns the static initializer info of the current underlying class if any.

  Specified by:
    `staticInitializer` in interface `ClassInfo`
  Returns:
  See Also:
    `ClassInfo.staticInitializer()`

### getInterfaces

    public ClassInfo[] getInterfaces()

  Description copied from interface: `ClassInfo`
  Returns the interfaces.

  Specified by:
    `getInterfaces` in interface `ClassInfo`
  Returns:
    the interfaces

### getSuperclass

    public ClassInfo getSuperclass()

  Description copied from interface: `ClassInfo`
  Returns the super class, or null (superclass of java.lang.Object)

  Specified by:
    `getSuperclass` in interface `ClassInfo`
  Returns:
    the super class

### getClassLoader

    public ClassLoader getClassLoader()

  Description copied from interface: `ClassInfo`
  Returns the class loader that loaded this class.

  Specified by:
    `getClassLoader` in interface `ClassInfo`
  Returns:
    the class loader

### getComponentType

    public ClassInfo getComponentType()

  Description copied from interface: `ClassInfo`
  Returns the component type if array type else null.

  Specified by:
    `getComponentType` in interface `ClassInfo`
  Returns:
    the component type

### isInterface

    public boolean isInterface()

  Description copied from interface: `ClassInfo`
  Is the class an interface.

  Specified by:
    `isInterface` in interface `ClassInfo`
  Returns:

### isPrimitive

    public boolean isPrimitive()

  Description copied from interface: `ClassInfo`
  Is the class a primitive type.

  Specified by:
    `isPrimitive` in interface `ClassInfo`
  Returns:

### isArray

    public boolean isArray()

  Description copied from interface: `ClassInfo`
  Is the class an array type.

  Specified by:
    `isArray` in interface `ClassInfo`
  Returns:

### getName

    public String getName()

  Description copied from interface: `ReflectionInfo`
  Returns the name element. If the element is an array class, its name is as a human writes it: java.lang.String[]

  Specified by:
    `getName` in interface `ReflectionInfo`
  Returns:
    the name of the element

### getSignature

    public String getSignature()

  Description copied from interface: `ReflectionInfo`
  Returns the signature for the element.

  Specified by:
    `getSignature` in interface `ReflectionInfo`
  Returns:
    the signature for the element

### getModifiers

    public int getModifiers()

  Description copied from interface: `ReflectionInfo`
  Returns the class modifiers.

  Specified by:
    `getModifiers` in interface `ReflectionInfo`
  Returns:
    the class modifiers

### getAnnotations

    public List getAnnotations()

  Description copied from interface: `ReflectionInfo`
  Returns the annotation infos.

  Specified by:
    `getAnnotations` in interface `ReflectionInfo`
  Returns:
    the annotations infos

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.